net.sf.statcvs.renderer

## Class TableRenderer

- java.lang.Object
- - net.sf.statcvs.renderer.TableRenderer

    public class TableRenderer
    extends java.lang.Object

Renders a `Table` to HTML

Version:
  $Id: TableRenderer.java,v 1.41 2008/04/02 11:22:15 benoitx Exp $
Author:
  Richard Cyganiak <rcyg@gmx.de>

### Constructor Summary

Constructors
Constructor and Description
`TableRenderer(Table table, MarkupSyntax output)` Creates a new table renderer for the given table model

### Method Summary

Methods
`java.lang.String` `getRenderedTable()` Renders the table to HTML

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TableRenderer

    public TableRenderer(Table table,
                 MarkupSyntax output)

Creates a new table renderer for the given table model

Parameters:
  `table` - the table to render

### Method Detail

#### getRenderedTable

    public java.lang.String getRenderedTable()

Renders the table to HTML

Returns:
  a String of HTML